package com.platform.modules.live.service;

import com.platform.common.utils.R;
import com.platform.plugs.live.responseEntity.CasterVideoResource;

/**
 * @Description: 导播台服务
 * @Author: yikaihong
 * @CreateDate: 2019/1/19 15:08
 * @Version: 1.0
 */
public interface CasterService {

    R addCasterVideoResource(CasterVideoResource casterVideoResource);

    R deleteCasterVideoResource(String casterId, String resourceId);

    R describeCasterVideoResources(String casterId);
}